[Q] Android ICS compatibility double-talk?

So i've been digging into android development hoping to do some work in porting to an LG Optimus C, and i feel like I'm getting conflicting information from Google:

from source.android.com/source/building-devices.html:

Quote:

Starting with IceCreamSandwich, the Android Open-Source Project can't be used from pure source code only, and requires additional hardware-related proprietary libraries to run, specifically for hardware graphics acceleration.

and from en.wikipedia.org/wiki/Android_version_history

Quote:

Google's Gabe Cohen stated that Android 4.0 was "theoretically compatible" with any Android 2.3.x device in production at that time.

Does this mean that i need ICS specific, proprietary drivers from LG if I want to port it to my Opt C?

or do I simply (./sarcasm.sh) need to learn to write hardware drivers without any idea of specifications?

Thanks!

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by vgreenholt
3 hours ago
Last post by wyatt78
33 minutes ago
Last post by virginia12
2 hours ago
Last post by okeeling
1 hour ago
Last post by qrau
3 hours ago
Last post by walsh.missouri
1 hour ago
Last post by batz.glennie
2 hours ago